SYSTEM WARNING: date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.

0000767: Error in RageSoundReader_ThreadedBuffer.cpp causes build failure - sm-ssc Bugtracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000767sm-sscBuild/Compilation Issuepublic2012-05-02 20:152013-08-29 21:33
Assigned ToAJ 
Platformx86-64OSLinuxOS Version3.x.x
Product VersionStepMania 5 alpha 1a 
Target VersionFixed in VersionStepMania 5 alpha 2 
Summary0000767: Error in RageSoundReader_ThreadedBuffer.cpp causes build failure
DescriptionGCC quits with the following error:
RageSoundReader_ThreadedBuffer.cpp:238:43: error: 'usleep' was not declared in this scope

I'm not familiar enough with the source to know where usleep is defined, but I presume this can be fixed by including the header that defines it.
Additional InformationI successfully built stepmania a few weeks ago, so this must be due to a fairly recent change.

Currently using GCC 4.7
TagsNo tags attached.
Attached Filespatch file icon fix-usleep.patch [^] (753 bytes) 2012-05-03 05:56 [Show Content]

- Relationships

-  Notes
djpohly (manager)
2012-05-03 05:57

Attached fix-usleep.patch, which fixes the issue on my build.
AJ (administrator)
2012-05-03 19:01

Thank you for the patch, I have committed it as revision 48de03985ddc: [^]

- Issue History
Date Modified Username Field Change
2012-05-02 20:15 BlazePh New Issue
2012-05-02 20:32 BlazePh Additional Information Updated View Revisions
2012-05-03 05:56 djpohly File Added: fix-usleep.patch
2012-05-03 05:57 djpohly Note Added: 0001612
2012-05-03 19:01 AJ Note Added: 0001613
2012-05-03 19:01 AJ Status new => resolved
2012-05-03 19:01 AJ Fixed in Version => StepMania 5 alpha 2
2012-05-03 19:01 AJ Resolution open => fixed
2012-05-03 19:01 AJ Assigned To => AJ
2013-08-29 21:33 djpohly Status resolved => closed

Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker